Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.text
Class SlaveDocumentEvent

    java.lang.Object
      org.eclipse.jface.text.DocumentEvent
          org.eclipse.jface.text.SlaveDocumentEvent

Direct Known Subclasses:
  ProjectionDocumentEvent

public class SlaveDocumentEvent
extends DocumentEvent

A slave document event represents a master document event as a slave-relative document event. It also carries the master document event.

Field Summary

Fields inherited from class org.eclipse.jface.text.DocumentEvent
`fDocument, fLength, fOffset, fText`

Constructor Summary
`SlaveDocumentEvent(IDocument doc, int offset, int length, String text, DocumentEvent masterEvent)` Creates a new slave document event.

Method Summary
`DocumentEvent` | `getMasterEvent()` Returns this event's master event.

Methods inherited from class org.eclipse.jface.text.DocumentEvent
`getDocument, getLength, getOffset, getText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SlaveDocumentEvent

    public SlaveDocumentEvent(IDocument doc,
                              int offset,
                              int length,
                              String text,
                              DocumentEvent masterEvent)

  Creates a new slave document event.

Parameters:
  `doc` - the slave document
  `offset` - the offset in the slave document
  `length` - the length in the slave document
  `text` - the substitution text
  `masterEvent` - the master document event

Method Detail

### getMasterEvent

    public DocumentEvent getMasterEvent()

  Returns this event's master event.

  Returns:
    this event's master event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.